com.android.agf.activities

## Class DropDatabaseActivity.MyLoginPentahoAndDrop

- java.lang.Object
- - android.os.AsyncTask<String,Void,Integer>
  - - com.android.agf.asynctask.LoginPentaho
    - - com.android.agf.activities.DropDatabaseActivity.MyLoginPentahoAndDrop

- Enclosing class:
    DropDatabaseActivity

       class DropDatabaseActivity.MyLoginPentahoAndDrop
      extends LoginPentaho

  classe local de carrega de dades
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.asynctask.LoginPentaho

      `mDrop, mUser`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropDatabaseActivity.MyLoginPentahoAndDrop(Context ctx, PentahoServerSettings server, UserSettings user)` constructor, s'activa el flag per la supresió de la base de dades

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(Integer result)` finalització activity i control error
    `protected void` | `onPreExecute()`

    - ### Methods inherited from class com.android.agf.asynctask.LoginPentaho

      `doInBackground, generaDashboard`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DropDatabaseActivity.MyLoginPentahoAndDrop

          public DropDatabaseActivity.MyLoginPentahoAndDrop(Context ctx,
                                                    PentahoServerSettings server,
                                                    UserSettings user)

      constructor, s'activa el flag per la supresió de la base de dades
      Parameters:
        `ctx` -
        `server` -
        `user` -

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,Integer>`

    - #### onPostExecute

          protected void onPostExecute(Integer result)

      finalització activity i control error
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,Integer>`